
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>register.migrations package &#8212; EduHelp 0.0.1 documentation</title>
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="_static/alabaster.css" type="text/css" />
    <script id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <div class="section" id="register-migrations-package">
<h1>register.migrations package<a class="headerlink" href="#register-migrations-package" title="Permalink to this headline">¶</a></h1>
<div class="section" id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this headline">¶</a></h2>
</div>
<div class="section" id="module-register.migrations.0001_initial">
<span id="register-migrations-0001-initial-module"></span><h2>register.migrations.0001_initial module<a class="headerlink" href="#module-register.migrations.0001_initial" title="Permalink to this headline">¶</a></h2>
<dl class="py class">
<dt id="register.migrations.0001_initial.Migration">
<em class="property"><span class="pre">class</span> </em><code class="sig-prename descclassname"><span class="pre">register.migrations.0001_initial.</span></code><code class="sig-name descname"><span class="pre">Migration</span></code><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">app_label</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#register.migrations.0001_initial.Migration" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">django.db.migrations.migration.Migration</span></code></p>
<dl class="py attribute">
<dt id="register.migrations.0001_initial.Migration.dependencies">
<code class="sig-name descname"><span class="pre">dependencies</span></code><em class="property"> <span class="pre">=</span> <span class="pre">[('auth',</span> <span class="pre">'__first__')]</span></em><a class="headerlink" href="#register.migrations.0001_initial.Migration.dependencies" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="register.migrations.0001_initial.Migration.initial">
<code class="sig-name descname"><span class="pre">initial</span></code><em class="property"> <span class="pre">=</span> <span class="pre">True</span></em><a class="headerlink" href="#register.migrations.0001_initial.Migration.initial" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="register.migrations.0001_initial.Migration.operations">
<code class="sig-name descname"><span class="pre">operations</span></code><em class="property"> <span class="pre">=</span> <span class="pre">[&lt;CreateModel</span>&#160; <span class="pre">name='Caretaker',</span> <span class="pre">fields=[('id',</span> <span class="pre">&lt;django.db.models.fields.BigAutoField&gt;),</span> <span class="pre">('name',</span> <span class="pre">&lt;django.db.models.fields.CharField&gt;),</span> <span class="pre">('surname',</span> <span class="pre">&lt;django.db.models.fields.CharField&gt;),</span> <span class="pre">('mobile',</span> <span class="pre">&lt;django.db.models.fields.CharField&gt;),</span> <span class="pre">('mail',</span> <span class="pre">&lt;django.db.models.fields.CharField&gt;),</span> <span class="pre">('notify_on_grade',</span> <span class="pre">&lt;django.db.models.fields.BooleanField&gt;),</span> <span class="pre">('notify_on_remark',</span> <span class="pre">&lt;django.db.models.fields.BooleanField&gt;),</span> <span class="pre">('notify_on_test',</span> <span class="pre">&lt;django.db.models.fields.BooleanField&gt;),</span> <span class="pre">('notify_on_homework',</span> <span class="pre">&lt;django.db.models.fields.BooleanField&gt;),</span> <span class="pre">('user',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;)]&gt;,</span> <span class="pre">&lt;CreateModel</span>&#160; <span class="pre">name='Class',</span> <span class="pre">fields=[('id',</span> <span class="pre">&lt;django.db.models.fields.BigAutoField&gt;),</span> <span class="pre">('year',</span> <span class="pre">&lt;django.db.models.fields.DateField&gt;),</span> <span class="pre">('sub',</span> <span class="pre">&lt;django.db.models.fields.CharField&gt;)]&gt;,</span> <span class="pre">&lt;CreateModel</span>&#160; <span class="pre">name='Course',</span> <span class="pre">fields=[('id',</span> <span class="pre">&lt;django.db.models.fields.BigAutoField&gt;),</span> <span class="pre">('classId',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;)]&gt;,</span> <span class="pre">&lt;CreateModel</span>&#160; <span class="pre">name='GradeType',</span> <span class="pre">fields=[('id',</span> <span class="pre">&lt;django.db.models.fields.BigAutoField&gt;),</span> <span class="pre">('name',</span> <span class="pre">&lt;django.db.models.fields.CharField&gt;),</span> <span class="pre">('value',</span> <span class="pre">&lt;django.db.models.fields.FloatField&gt;)]&gt;,</span> <span class="pre">&lt;CreateModel</span>&#160; <span class="pre">name='GradeValue',</span> <span class="pre">fields=[('id',</span> <span class="pre">&lt;django.db.models.fields.BigAutoField&gt;),</span> <span class="pre">('name',</span> <span class="pre">&lt;django.db.models.fields.CharField&gt;),</span> <span class="pre">('value',</span> <span class="pre">&lt;django.db.models.fields.IntegerField&gt;)]&gt;,</span> <span class="pre">&lt;CreateModel</span>&#160; <span class="pre">name='Student',</span> <span class="pre">fields=[('id',</span> <span class="pre">&lt;django.db.models.fields.BigAutoField&gt;),</span> <span class="pre">('name',</span> <span class="pre">&lt;django.db.models.fields.CharField&gt;),</span> <span class="pre">('surname',</span> <span class="pre">&lt;django.db.models.fields.CharField&gt;),</span> <span class="pre">('caretaker',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;),</span> <span class="pre">('classId',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;),</span> <span class="pre">('user',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;)]&gt;,</span> <span class="pre">&lt;CreateModel</span>&#160; <span class="pre">name='SubjectType',</span> <span class="pre">fields=[('id',</span> <span class="pre">&lt;django.db.models.fields.BigAutoField&gt;),</span> <span class="pre">('name',</span> <span class="pre">&lt;django.db.models.fields.CharField&gt;)]&gt;,</span> <span class="pre">&lt;CreateModel</span>&#160; <span class="pre">name='Teacher',</span> <span class="pre">fields=[('id',</span> <span class="pre">&lt;django.db.models.fields.BigAutoField&gt;),</span> <span class="pre">('name',</span> <span class="pre">&lt;django.db.models.fields.CharField&gt;),</span> <span class="pre">('surname',</span> <span class="pre">&lt;django.db.models.fields.CharField&gt;),</span> <span class="pre">('mobile',</span> <span class="pre">&lt;django.db.models.fields.CharField&gt;),</span> <span class="pre">('mail',</span> <span class="pre">&lt;django.db.models.fields.CharField&gt;),</span> <span class="pre">('user',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;)]&gt;,</span> <span class="pre">&lt;CreateModel</span>&#160; <span class="pre">name='Subject',</span> <span class="pre">fields=[('id',</span> <span class="pre">&lt;django.db.models.fields.BigAutoField&gt;),</span> <span class="pre">('name',</span> <span class="pre">&lt;django.db.models.fields.CharField&gt;),</span> <span class="pre">('type',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;)]&gt;,</span> <span class="pre">&lt;CreateModel</span>&#160; <span class="pre">name='StudentRemark',</span> <span class="pre">fields=[('id',</span> <span class="pre">&lt;django.db.models.fields.BigAutoField&gt;),</span> <span class="pre">('title',</span> <span class="pre">&lt;django.db.models.fields.CharField&gt;),</span> <span class="pre">('description',</span> <span class="pre">&lt;django.db.models.fields.TextField&gt;),</span> <span class="pre">('student',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;),</span> <span class="pre">('teacher',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;)]&gt;,</span> <span class="pre">&lt;CreateModel</span>&#160; <span class="pre">name='PlannedTest',</span> <span class="pre">fields=[('id',</span> <span class="pre">&lt;django.db.models.fields.BigAutoField&gt;),</span> <span class="pre">('description',</span> <span class="pre">&lt;django.db.models.fields.TextField&gt;),</span> <span class="pre">('date',</span> <span class="pre">&lt;django.db.models.fields.DateField&gt;),</span> <span class="pre">('classId',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;),</span> <span class="pre">('course',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;)]&gt;,</span> <span class="pre">&lt;CreateModel</span>&#160; <span class="pre">name='PlannedHomework',</span> <span class="pre">fields=[('id',</span> <span class="pre">&lt;django.db.models.fields.BigAutoField&gt;),</span> <span class="pre">('description',</span> <span class="pre">&lt;django.db.models.fields.TextField&gt;),</span> <span class="pre">('deadline',</span> <span class="pre">&lt;django.db.models.fields.DateField&gt;),</span> <span class="pre">('classId',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;),</span> <span class="pre">('course',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;)]&gt;,</span> <span class="pre">&lt;CreateModel</span>&#160; <span class="pre">name='Grade',</span> <span class="pre">fields=[('id',</span> <span class="pre">&lt;django.db.models.fields.BigAutoField&gt;),</span> <span class="pre">('course',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;),</span> <span class="pre">('student',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;),</span> <span class="pre">('type',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;),</span> <span class="pre">('value',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;)]&gt;,</span> <span class="pre">&lt;AddField</span>&#160; <span class="pre">model_name='course',</span> <span class="pre">name='subject',</span> <span class="pre">field=&lt;django.db.models.fields.related.ForeignKey&gt;&gt;,</span> <span class="pre">&lt;AddField</span>&#160; <span class="pre">model_name='course',</span> <span class="pre">name='teacher',</span> <span class="pre">field=&lt;django.db.models.fields.related.ForeignKey&gt;&gt;,</span> <span class="pre">&lt;AddField</span>&#160; <span class="pre">model_name='class',</span> <span class="pre">name='form_teacher',</span> <span class="pre">field=&lt;django.db.models.fields.related.ForeignKey&gt;&gt;]</span></em><a class="headerlink" href="#register.migrations.0001_initial.Migration.operations" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>
<div class="section" id="module-register.migrations.0002_auto_20210506_2012">
<span id="register-migrations-0002-auto-20210506-2012-module"></span><h2>register.migrations.0002_auto_20210506_2012 module<a class="headerlink" href="#module-register.migrations.0002_auto_20210506_2012" title="Permalink to this headline">¶</a></h2>
<dl class="py class">
<dt id="register.migrations.0002_auto_20210506_2012.Migration">
<em class="property"><span class="pre">class</span> </em><code class="sig-prename descclassname"><span class="pre">register.migrations.0002_auto_20210506_2012.</span></code><code class="sig-name descname"><span class="pre">Migration</span></code><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">app_label</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#register.migrations.0002_auto_20210506_2012.Migration" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">django.db.migrations.migration.Migration</span></code></p>
<dl class="py attribute">
<dt id="register.migrations.0002_auto_20210506_2012.Migration.dependencies">
<code class="sig-name descname"><span class="pre">dependencies</span></code><em class="property"> <span class="pre">=</span> <span class="pre">[('register',</span> <span class="pre">'0001_initial')]</span></em><a class="headerlink" href="#register.migrations.0002_auto_20210506_2012.Migration.dependencies" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="register.migrations.0002_auto_20210506_2012.Migration.operations">
<code class="sig-name descname"><span class="pre">operations</span></code><em class="property"> <span class="pre">=</span> <span class="pre">[&lt;AlterModelOptions</span>&#160; <span class="pre">name='grade',</span> <span class="pre">options={'permissions':</span> <span class="pre">(('can_give_grade',</span> <span class="pre">'Give</span> <span class="pre">grade'),</span> <span class="pre">('can_update_grade',</span> <span class="pre">'Update</span> <span class="pre">grade'),</span> <span class="pre">('can_delete_grade',</span> <span class="pre">'Delete</span> <span class="pre">grade'),</span> <span class="pre">('can_view_grade',</span> <span class="pre">'View</span> <span class="pre">grade'))}&gt;,</span> <span class="pre">&lt;AlterModelOptions</span>&#160; <span class="pre">name='plannedhomework',</span> <span class="pre">options={'permissions':</span> <span class="pre">(('can_give_homework',</span> <span class="pre">'Give</span> <span class="pre">homework'),</span> <span class="pre">('can_update_homework',</span> <span class="pre">'Update</span> <span class="pre">homework'),</span> <span class="pre">('can_delete_homework',</span> <span class="pre">'Delete</span> <span class="pre">homework'),</span> <span class="pre">('can_view_homework',</span> <span class="pre">'View</span> <span class="pre">homework'))}&gt;,</span> <span class="pre">&lt;AlterModelOptions</span>&#160; <span class="pre">name='plannedtest',</span> <span class="pre">options={'permissions':</span> <span class="pre">(('can_plan_test',</span> <span class="pre">'Plan</span> <span class="pre">test'),</span> <span class="pre">('can_update_test',</span> <span class="pre">'Update</span> <span class="pre">test'),</span> <span class="pre">('can_delete_test',</span> <span class="pre">'Delete</span> <span class="pre">test'),</span> <span class="pre">('can_view_test',</span> <span class="pre">'View</span> <span class="pre">test'))}&gt;,</span> <span class="pre">&lt;AlterModelOptions</span>&#160; <span class="pre">name='studentremark',</span> <span class="pre">options={'permissions':</span> <span class="pre">(('can_give_remark',</span> <span class="pre">'Give</span> <span class="pre">remark'),</span> <span class="pre">('can_update_remark',</span> <span class="pre">'Update</span> <span class="pre">remark'),</span> <span class="pre">('can_delete_remark',</span> <span class="pre">'Delete</span> <span class="pre">remark'),</span> <span class="pre">('can_view_remark',</span> <span class="pre">'View</span> <span class="pre">remark'))}&gt;]</span></em><a class="headerlink" href="#register.migrations.0002_auto_20210506_2012.Migration.operations" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>
<div class="section" id="module-register.migrations.0003_auto_20210506_2014">
<span id="register-migrations-0003-auto-20210506-2014-module"></span><h2>register.migrations.0003_auto_20210506_2014 module<a class="headerlink" href="#module-register.migrations.0003_auto_20210506_2014" title="Permalink to this headline">¶</a></h2>
<dl class="py class">
<dt id="register.migrations.0003_auto_20210506_2014.Migration">
<em class="property"><span class="pre">class</span> </em><code class="sig-prename descclassname"><span class="pre">register.migrations.0003_auto_20210506_2014.</span></code><code class="sig-name descname"><span class="pre">Migration</span></code><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">app_label</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#register.migrations.0003_auto_20210506_2014.Migration" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">django.db.migrations.migration.Migration</span></code></p>
<dl class="py attribute">
<dt id="register.migrations.0003_auto_20210506_2014.Migration.dependencies">
<code class="sig-name descname"><span class="pre">dependencies</span></code><em class="property"> <span class="pre">=</span> <span class="pre">[('register',</span> <span class="pre">'0002_auto_20210506_2012')]</span></em><a class="headerlink" href="#register.migrations.0003_auto_20210506_2014.Migration.dependencies" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="register.migrations.0003_auto_20210506_2014.Migration.operations">
<code class="sig-name descname"><span class="pre">operations</span></code><em class="property"> <span class="pre">=</span> <span class="pre">[&lt;AlterModelOptions</span>&#160; <span class="pre">name='plannedhomework',</span> <span class="pre">options={}&gt;,</span> <span class="pre">&lt;AlterModelOptions</span>&#160; <span class="pre">name='plannedtest',</span> <span class="pre">options={}&gt;,</span> <span class="pre">&lt;AlterModelOptions</span>&#160; <span class="pre">name='studentremark',</span> <span class="pre">options={}&gt;]</span></em><a class="headerlink" href="#register.migrations.0003_auto_20210506_2014.Migration.operations" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>
<div class="section" id="module-register.migrations.0004_alter_grade_options">
<span id="register-migrations-0004-alter-grade-options-module"></span><h2>register.migrations.0004_alter_grade_options module<a class="headerlink" href="#module-register.migrations.0004_alter_grade_options" title="Permalink to this headline">¶</a></h2>
<dl class="py class">
<dt id="register.migrations.0004_alter_grade_options.Migration">
<em class="property"><span class="pre">class</span> </em><code class="sig-prename descclassname"><span class="pre">register.migrations.0004_alter_grade_options.</span></code><code class="sig-name descname"><span class="pre">Migration</span></code><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">app_label</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#register.migrations.0004_alter_grade_options.Migration" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">django.db.migrations.migration.Migration</span></code></p>
<dl class="py attribute">
<dt id="register.migrations.0004_alter_grade_options.Migration.dependencies">
<code class="sig-name descname"><span class="pre">dependencies</span></code><em class="property"> <span class="pre">=</span> <span class="pre">[('register',</span> <span class="pre">'0003_auto_20210506_2014')]</span></em><a class="headerlink" href="#register.migrations.0004_alter_grade_options.Migration.dependencies" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="register.migrations.0004_alter_grade_options.Migration.operations">
<code class="sig-name descname"><span class="pre">operations</span></code><em class="property"> <span class="pre">=</span> <span class="pre">[&lt;AlterModelOptions</span>&#160; <span class="pre">name='grade',</span> <span class="pre">options={}&gt;]</span></em><a class="headerlink" href="#register.migrations.0004_alter_grade_options.Migration.operations" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>
<div class="section" id="module-register.migrations.0005_coursepresence">
<span id="register-migrations-0005-coursepresence-module"></span><h2>register.migrations.0005_coursepresence module<a class="headerlink" href="#module-register.migrations.0005_coursepresence" title="Permalink to this headline">¶</a></h2>
<dl class="py class">
<dt id="register.migrations.0005_coursepresence.Migration">
<em class="property"><span class="pre">class</span> </em><code class="sig-prename descclassname"><span class="pre">register.migrations.0005_coursepresence.</span></code><code class="sig-name descname"><span class="pre">Migration</span></code><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">app_label</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#register.migrations.0005_coursepresence.Migration" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">django.db.migrations.migration.Migration</span></code></p>
<dl class="py attribute">
<dt id="register.migrations.0005_coursepresence.Migration.dependencies">
<code class="sig-name descname"><span class="pre">dependencies</span></code><em class="property"> <span class="pre">=</span> <span class="pre">[('register',</span> <span class="pre">'0004_alter_grade_options')]</span></em><a class="headerlink" href="#register.migrations.0005_coursepresence.Migration.dependencies" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="register.migrations.0005_coursepresence.Migration.operations">
<code class="sig-name descname"><span class="pre">operations</span></code><em class="property"> <span class="pre">=</span> <span class="pre">[&lt;CreateModel</span>&#160; <span class="pre">name='CoursePresence',</span> <span class="pre">fields=[('id',</span> <span class="pre">&lt;django.db.models.fields.BigAutoField&gt;),</span> <span class="pre">('date',</span> <span class="pre">&lt;django.db.models.fields.DateField&gt;),</span> <span class="pre">('present',</span> <span class="pre">&lt;django.db.models.fields.BooleanField&gt;),</span> <span class="pre">('course',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;),</span> <span class="pre">('student',</span> <span class="pre">&lt;django.db.models.fields.related.ForeignKey&gt;)]&gt;]</span></em><a class="headerlink" href="#register.migrations.0005_coursepresence.Migration.operations" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>
<div class="section" id="module-register.migrations.0006_alter_coursepresence_student">
<span id="register-migrations-0006-alter-coursepresence-student-module"></span><h2>register.migrations.0006_alter_coursepresence_student module<a class="headerlink" href="#module-register.migrations.0006_alter_coursepresence_student" title="Permalink to this headline">¶</a></h2>
<dl class="py class">
<dt id="register.migrations.0006_alter_coursepresence_student.Migration">
<em class="property"><span class="pre">class</span> </em><code class="sig-prename descclassname"><span class="pre">register.migrations.0006_alter_coursepresence_student.</span></code><code class="sig-name descname"><span class="pre">Migration</span></code><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">app_label</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#register.migrations.0006_alter_coursepresence_student.Migration" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">django.db.migrations.migration.Migration</span></code></p>
<dl class="py attribute">
<dt id="register.migrations.0006_alter_coursepresence_student.Migration.dependencies">
<code class="sig-name descname"><span class="pre">dependencies</span></code><em class="property"> <span class="pre">=</span> <span class="pre">[('register',</span> <span class="pre">'0005_coursepresence')]</span></em><a class="headerlink" href="#register.migrations.0006_alter_coursepresence_student.Migration.dependencies" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="register.migrations.0006_alter_coursepresence_student.Migration.operations">
<code class="sig-name descname"><span class="pre">operations</span></code><em class="property"> <span class="pre">=</span> <span class="pre">[&lt;AlterField</span>&#160; <span class="pre">model_name='coursepresence',</span> <span class="pre">name='student',</span> <span class="pre">field=&lt;django.db.models.fields.related.ForeignKey&gt;&gt;]</span></em><a class="headerlink" href="#register.migrations.0006_alter_coursepresence_student.Migration.operations" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>
<div class="section" id="module-register.migrations">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-register.migrations" title="Permalink to this headline">¶</a></h2>
</div>
</div>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">EduHelp</a></h1>








<h3>Navigation</h3>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2021, Slawomir Durawa.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 3.5.4</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/register.migrations.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>